Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Reactive_Pulling_Strategy Class Reference

Dispatch using the caller thread. More...

`#include <CEC_Reactive_Pulling_Strategy.h>`

Inheritance diagram for TAO_CEC_Reactive_Pulling_Strategy:

[legend]
Collaboration diagram for TAO_CEC_Reactive_Pulling_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Reactive_Pulling_Strategy (const ACE_Time_Value &rate, TAO_CEC_EventChannel *event_channel, CORBA::ORB_ptr orb)
| The scheduler is used to find the range of priorities and similar info. More...
void | handle_timeout (const ACE_Time_Value &tv, const void *arg)
| Receive the timeout from the adapter. More...
virtual void | activate (void)
| Initialize all the data structures, activate any internal threads, etc. More...
virtual void | shutdown (void)
| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. More...
## Private Attributes
TAO_CEC_Pulling_Strategy_Adapter | adapter_
| The Adapter for the reactor events. More...
ACE_Time_Value | rate_
| The polling rate. More...
TAO_CEC_EventChannel * | event_channel_
| The event channel. More...
CORBA::ORB_var | orb_
| The ORB. More...
CORBA::PolicyCurrent_var | policy_current_
| To control the timeout policy in the thread. More...
CORBA::PolicyList | policy_list_
| Precomputed policy list to the set timeout. More...
ACE_Reactor * | reactor_
| The ORB reactor. More...

## Detailed Description

Dispatch using the caller thread.

The events are dispatched in FIFO ordering, using the invoking thread to push the event to the consumer.

## Constructor & Destructor Documentation

TAO_CEC_Reactive_Pulling_Strategy::TAO_CEC_Reactive_Pulling_Strategy | ( | const ACE_Time_Value & | rate,
|  | TAO_CEC_EventChannel * | event_channel,
|  | CORBA::ORB_ptr | orb
| ) |

| The scheduler is used to find the range of priorities and similar info.

## Member Function Documentation

void TAO_CEC_Reactive_Pulling_Strategy::activate | ( | void |  | ) | `[virtual]`

| Initialize all the data structures, activate any internal threads, etc. Reimplemented from TAO_CEC_Pulling_Strategy.

void TAO_CEC_Reactive_Pulling_Strategy::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg
| ) |

| Receive the timeout from the adapter.

void TAO_CEC_Reactive_Pulling_Strategy::shutdown | ( | void |  | ) | `[virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Reimplemented from TAO_CEC_Pulling_Strategy.

## Member Data Documentation

TAO_CEC_Pulling_Strategy_Adapter TAO_CEC_Reactive_Pulling_Strategy::adapter_`[private]`

| The Adapter for the reactor events.

TAO_CEC_EventChannel* TAO_CEC_Reactive_Pulling_Strategy::event_channel_`[private]`

| The event channel.

CORBA::ORB_var TAO_CEC_Reactive_Pulling_Strategy::orb_`[private]`

| The ORB.

CORBA::PolicyCurrent_var TAO_CEC_Reactive_Pulling_Strategy::policy_current_`[private]`

| To control the timeout policy in the thread.

CORBA::PolicyList TAO_CEC_Reactive_Pulling_Strategy::policy_list_`[private]`

| Precomputed policy list to the set timeout.

ACE_Time_Value TAO_CEC_Reactive_Pulling_Strategy::rate_`[private]`

| The polling rate.

ACE_Reactor* TAO_CEC_Reactive_Pulling_Strategy::reactor_`[private]`

| The ORB reactor.

The documentation for this class was generated from the following files:

- CEC_Reactive_Pulling_Strategy.h
- CEC_Reactive_Pulling_Strategy.cpp